Bug 738369 - a user with "Manage Drift" permissions of "Read" (implied) cannot view Drift
a user with "Manage Drift" permissions of "Read" (implied) cannot view Drift
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.1
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 707225 jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-09-14 11:54 EDT by Mike Foley
Modified: 2012-02-07 14:22 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:22:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-09-14 11:54:20 EDT
Description of problem:  a user with "Manage Drift" permissions of "Read" (implied) cannot view Drift.  The drift tab is disabled for the platform resource.


Version-Release number of selected component (if applicable):
RHQ 4.1 09/14/2011 build

How reproducible:
100%

Steps to Reproduce:
1. create a user with a role that had implied read permission for "Manage Drift" and no write permission for drift
2.  login as that user, and try to view (read) a drift configuration.  can't

  
Actual results:
a user with read permission for "Manage Drift" cannot view drift configurations.  the drift tab is disabled for the platform resource.

Expected results:
a user with read permissions for "Manage Drift" can read or view drift

Additional info:
Comment 1 Jay Shaughnessy 2011-11-03 17:57:12 EDT
master         commit: b6dce40b559f231c2028624de2d9c512b2ac514a
release_jon3.x commit: 1fbe913245f23d2f0c1e24f034c57df8b3ec8af1
Comment 2 Mike Foley 2011-11-04 14:30:23 EDT
i added this BZ  https://bugzilla.redhat.com/show_bug.cgi?id=751435 while verifying this BZ
Comment 3 Mike Foley 2012-02-07 14:22:26 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.